> For the complete documentation index, see [llms.txt](https://docs.bloxroute.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bloxroute.com/eth/streams/mevnextproposerinfo.md).

# MEVNextProposerInfo

`MEVNextProposerInfo` feed provides details of next Ethereum block proposer, allowing searchers to know if the proposer is registered with a MEV relay service.

**Service available via Cloud API only.**

## Stream Endpoint

* Method: `MEVNextProposerInfo`
* Endpoint: `wss://mev-eth.blxrbdn.com/ws`

### Parameters <a href="#options" id="options"></a>

| Key           | Description                                        | Values                                                                                                           |
| ------------- | -------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------- |
| **`include`** | Fields to include in the MEV proposer info stream. | <p><strong><code>slot\_number, index, public\_key, mev\_boost</code></strong></p><p><em>\[Default: all]</em></p> |

### Examples

#### Request

{% tabs %}
{% tab title="wscat" %}

```bash
wscat -c wss://mev-eth.blxrbdn.com/ws --header "Authorization: <YOUR-AUTHORIZATION-HEADER>" --no-check
> {"id": 1, "method": "subscribe", "params": ["MEVNextProposerInfo", {"include": []}]}
```

{% endtab %}
{% endtabs %}

#### Response

{% tabs %}
{% tab title="Event" %}

```bash
{
  "id": 1,
  "method": "subscribe",
  "params": {
    "subscription": "cb78a4f1-fb9c-4f12-8e21-32f34c28a338",
    "result": {
      "slotNumber": 4047824, 
      "index": 370301,
      "publicKey": "0x8c8b7685b109b16c2d7d52315298cbc099921d983fec780c242317a92699f54f62b2457b4a7db0d392c8e6d20da9be6e",
      "MEVBoost": true
    }
  }
}
```

{% endtab %}
{% endtabs %}

<table><thead><tr><th>Result Field</th><th>Description</th><th data-hidden></th><th data-hidden></th></tr></thead><tbody><tr><td><strong><code>slotNumber</code></strong></td><td>Next slot number</td><td></td><td></td></tr><tr><td><strong><code>index</code></strong></td><td>Index of the next proposer</td><td></td><td></td></tr><tr><td><strong><code>publicKey</code></strong></td><td>Public key of the next proposer</td><td></td><td></td></tr><tr><td><strong><code>MEVBoost</code></strong></td><td>Boolean flag indicating if the proposer is registered with at least one MEV relay service.</td><td></td><td></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.bloxroute.com/eth/streams/mevnextproposerinfo.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
